using Elwig.Models.Dtos;
using System.Collections.Generic;

namespace Elwig.Documents {
    public class DeliveryDepreciationList : Document {

        public new static string Name => "Abwertungsliste";

        public string Filter;
        public IEnumerable<DeliveryJournalRow> Deliveries;

        public DeliveryDepreciationList(string filter, IEnumerable<DeliveryJournalRow> deliveries) :
            base($"{Name} {filter}") {
            Filter = filter;
            Deliveries = deliveries;
        }

        public DeliveryDepreciationList(string filter, DeliveryJournalData data) :
            this(filter, data.Rows) {
        }
    }
}
